Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Enum CCResultsFormat

    java.lang.Object
      java.lang.Enum<CCResultsFormat>
          umontreal.iro.lecuyer.contactcenters.app.CCResultsFormat

All Implemented Interfaces:
  Serializable, Comparable<CCResultsFormat>

    public enum CCResultsFormat

extends Enum<CCResultsFormat>

Result formats available for `PerformanceMeasureFormat.formatResults(ContactCenterEval,OutputStream,CCResultsFormat)`.

Enum Constant Summary
`EXCEL` Results are formatted to an Excel workbook with three spreadsheets.
`LATEXT` Results are written to a LATEX file.
`STDOUT` Results are written to the standard output.
`TEXT` Results are written to a plain text file.
`XML` Results are converted to an instance of `ContactCenterSimResults`, and serialized into an XML file.
`XMLGZ` Results are converted to an instance of `ContactCenterSimResults`, and serialized into an XML file, and compressed in the GZIP format.

Method Summary
`static String` | `getArgValues()` Formats and returns a string containing the values of this enum, separated by the `|` character.
`abstract String` | `getFileExtension()` Results the file extension corresponding to this format.
`static CCResultsFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CCResultsFormat` | `valueOfFromFileExtension(String ext)` Returns the format corresponding to the given file extension `ext`.
`static CCResultsFormat` | `valueOfFromFileName(String name)` Returns the format corresponding to the given file name `name`.
`static CCResultsFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STDOUT

    public static final CCResultsFormat STDOUT

  Results are written to the standard output.

### TEXT

    public static final CCResultsFormat TEXT

  Results are written to a plain text file. The file extension for this format is `txt`.

### LATEXT

    public static final CCResultsFormat LATEXT

  Results are written to a LATEX file. The file extension for this format is `tex`.

### XML

    public static final CCResultsFormat XML

  Results are converted to an instance of `ContactCenterSimResults`, and serialized into an XML file. This results in an XML file that can be loaded at a later time. The file extension for this format is `xml`.

### XMLGZ

    public static final CCResultsFormat XMLGZ

  Results are converted to an instance of `ContactCenterSimResults`, and serialized into an XML file, and compressed in the GZIP format. This results in an XML file that can be loaded at a later time. The file extension for this format is `xml.gz`.

### EXCEL

    public static final CCResultsFormat EXCEL

  Results are formatted to an Excel workbook with three spreadsheets. The first sheet of the workbook contains summary statistics, i.e., statistics for aggregate performance measures. The second sheet contains detailed statistics concerning the complete simulation (no separate periods). The last sheet contains statistics for all individual periods. For steady-state simulations, the workbook has only two sheets. The file extension for this format is `xls`.

Method Detail

### values

    public static CCResultsFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CCResultsFormat c : CCResultsFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CCResultsFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFileExtension

    public abstract String getFileExtension()

  Results the file extension corresponding to this format. This returns `null` for the standard output.

  Returns:
    the file extension.

### valueOfFromFileName

    public static CCResultsFormat valueOfFromFileName(String name)

  Returns the format corresponding to the given file name `name`. This method extracts the extension of the given file name, and pass this extension to `valueOfFromFileExtension(String)`.

  Parameters:
    `name` - the file name.
  Returns:
    the results format.

### valueOfFromFileExtension

    public static CCResultsFormat valueOfFromFileExtension(String ext)

  Returns the format corresponding to the given file extension `ext`. This throws an illegal-argument exception if the extension is unknown.

  Parameters:
    `ext` - the file extension.
  Returns:
    the results format.

### getArgValues

    public static String getArgValues()

  Formats and returns a string containing the values of this enum, separated by the `|` character. This string can be useful to provide the user with the list of possible values of this enum when passed as a command-line argument.

  Returns:
    the values of this enum, separated by `|`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.